%define build_with_qt5 0

Name:		fet
Summary:	Free Timetabling Software
Version:	5.23.3
Release:	%mkrel 1
Group:		Education
License:	GPLv2+
URL:		http://lalescu.ro/liviu/fet
Source0:	http://lalescu.ro/liviu/fet/download/%{name}-%{version}.tar.xz
%if %{build_with_qt5}
BuildRequires:	qt5-devel
BuildRequires:	qttools5
%else
BuildRequires:	qt4-devel
%endif

%description
FET is free timetabling software. This program aims to automatically
generate the timetable of a school, high-school or university.
It may be used for other timetabling purposes.

FET can mean "Free Educational Timetabling" (the "E" in the middle may
also stand for other words, based on your personal preference).

%prep
%setup -q
rm -rf translations/*.qm

%build
# build translation files
%if %{build_with_qt5}
%{_libdir}/qt5/bin/lupdate %{name}.pro
pushd translations
%{_libdir}/qt5/bin/lrelease *.ts
popd
%else
%{_libdir}/qt4/bin/lupdate %{name}.pro
pushd translations
%{_libdir}/qt4/bin/lrelease *.ts
popd
%endif

%if %{build_with_qt5}
%qmake_qt5 DEFINES+=USE_SYSTEM_LOCALE
%else
%qmake_qt4 DEFINES+=USE_SYSTEM_LOCALE
%endif
%make

%install
rm -rf %buildroot
%makeinstall INSTALL_ROOT=%{buildroot}

%files
%{_docdir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/scalable/apps/%{name}.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/*.qm
%{_mandir}/man1/%{name}*.1.*

%clean
rm -rf %buildroot


%changelog
* Thu Oct 02 2014 bb <bb> 5.23.3-1pclos2014
- update
